Existing C++ plugin code to support M1

Explorer ,
Oct 27, 2021 Oct 27, 2021

Copy link to clipboard

Copied

Hi,

 

I am seeking porting guide/reference documentation on making existing C++ plugins for Intel based InDesign to be compatible and coexist with InDesign M1 support natively.

 

Furthermore, any pointers and learning summaries in this regards will be very helpful.

 

Thank you,

 

TOPICS
How to, SDK

Views

110

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct answer

LEGEND , Oct 28, 2021 Oct 28, 2021
You need to set the correct target platform settings to make a universal binary. That is, taking an existing project and just opening with the new XCode may not add the required platform, you'd need to check.

Likes

Translate

Translate
Adobe Community Professional ,
Oct 27, 2021 Oct 27, 2021

Copy link to clipboard

Copied

HI,

 

If I understand this correctly there is nothing to do other than re-compiling against the 16.3 SDK

 

https://medium.com/adobetech/apple-silicon-native-support-in-indesign-incopy-indesign-server-45df09c...

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Explorer ,
Oct 28, 2021 Oct 28, 2021

Copy link to clipboard

Copied

Thank you.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Oct 27, 2021 Oct 27, 2021

Copy link to clipboard

Copied

If some libraries are being used in your plugin, then you will have to cross compile them to support both the Intel and M1 architecture, apart from that as @BarlaeDC said it seems nothing more needs to be done specifically.

-Manan

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Explorer ,
Oct 28, 2021 Oct 28, 2021

Copy link to clipboard

Copied

Thank you. So, it is my understanding that once the plugin is built using XCode 12.3 and 16.3 SDK, then the resulting plugin would work in both InDesign CC2021 Intel and InDesign CC2021 M1 mode. Is that correct understanding?

 

Thanks,

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Oct 28, 2021 Oct 28, 2021

Copy link to clipboard

Copied

LATEST

You need to set the correct target platform settings to make a universal binary. That is, taking an existing project and just opening with the new XCode may not add the required platform, you'd need to check.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines